Subject: [RFC PATCH 0/3] clk: stm32: Add clock driver for STM32F4[23]xxx devices

From: [email-masked] (Daniel Thompson)
Date: Wed, 27 May 2015 09:36:17 +0100

On 26/05/15 17:41, Maxime Coquelin wrote:
>>   2. Allocating ~80 clock components appears to fragment memory enough
>>      to prevent busybox (.text is ~300K, non-XIP) from running getty.
>>      I have to use "init=/bin/sh" to avoid OOM problems.
>
> Yes, I reproduced the same issue while testing your work.
>
> Could you try with:
> CONFIG_NOMMU_INITIAL_TRIM_EXCESS=0
>
> It solves (hides) the problem on my side.
> You can eventually setting it once booted to 1 via procfs.

That works for me too. Thanks.

Incidentally switching to SLOB also reduced the problem for me. It was 
OK whilst I had ~20 clocks (and debugfs) but not enough for me to run 
with all the clocks registered.

Daniel.